# Uses of Class
org.eclipse.ecf.filetransfer.FileTransferJob

Packages that use FileTransferJob
Package
Description
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of FileTransferJob in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that return FileTransferJob
Modifier and Type
Method
Description
`FileTransferJob`
IFileTransferConnectStartEvent.`prepareConnectJob(FileTransferJob connectJob)`
Prepare custom connect job or get default connect job.
Methods in org.eclipse.ecf.filetransfer.events with parameters of type FileTransferJob
Modifier and Type
Method
Description
`void`
IFileTransferConnectStartEvent.`connectUsingJob(FileTransferJob connectJob)`
Connect using a job.
`FileTransferJob`
IFileTransferConnectStartEvent.`prepareConnectJob(FileTransferJob connectJob)`
Prepare custom connect job or get default connect job.
`IIncomingFileTransfer`
IIncomingFileTransferReceiveResumedEvent.`receive(File localFileToSave, FileTransferJob fileTransferJob, boolean append)`
Just like `IIncomingFileTransferReceiveResumedEvent.receive(File,boolean)` but this method also give the caller a chance to provide a factory that creates the job that will perform the actual file transfer.
`IIncomingFileTransfer`
IIncomingFileTransferReceiveResumedEvent.`receive(OutputStream streamToStore, FileTransferJob fileTransferJob)`
Just like `IIncomingFileTransferReceiveResumedEvent.receive(OutputStream)` but this method also give the caller a chance to provide a factory that creates the job that will perform the actual file transfer.
`IIncomingFileTransfer`
IIncomingFileTransferReceiveStartEvent.`receive(File localFileToSave, FileTransferJob fileTransferJob)`
Just like `IIncomingFileTransferReceiveStartEvent.receive(File)` but this method also give the caller a chance to provide a factory that creates the job that will perform the actual file transfer.
`IIncomingFileTransfer`
IIncomingFileTransferReceiveStartEvent.`receive(OutputStream streamToStore, FileTransferJob fileTransferJob)`
Just like `IIncomingFileTransferReceiveStartEvent.receive(OutputStream)` but this method also give the caller a chance to provide a factory that creates the job that will perform the actual file transfer.
`void`
IOutgoingFileTransferResponseEvent.`setFileTransferJob(FileTransferJob job)`
Set the `FileTransferJob` to use for the actual file transfer.

## Uses of FileTransferJob in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that return FileTransferJob
Modifier and Type
Method
Description
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type FileTransferJob
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`connectUsingJob(FileTransferJob cjob)`
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`

## Uses of FileTransferJob in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that return FileTransferJob
Modifier and Type
Method
Description
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type FileTransferJob
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`connectUsingJob(FileTransferJob cjob)`
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`

## Uses of FileTransferJob in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that return FileTransferJob
Modifier and Type
Method
Description
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type FileTransferJob
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`connectUsingJob(FileTransferJob cjob)`
`protected FileTransferJob`
HttpClientRetrieveFileTransfer.`prepareConnectJob(FileTransferJob cjob)`

## Uses of FileTransferJob in org.eclipse.ecf.provider.filetransfer.retrieve

Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type FileTransferJob
Modifier and Type
Method
Description
`protected void`
AbstractRetrieveFileTransfer.`setupAndScheduleJob(FileTransferJob fileTransferJob)`